2019-08-24 00:44 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005272Spring engineGeneralpublic2016-12-03 19:09
ReporterSkasi 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version103.0 +git 
Summary0005272: Units can take highly inefficient path
DescriptionSometimes units take a very inefficient path. I am not sure about the exact cause, but there's been buildings and cliffs between the unit and its destination.

The screenshot 726 attached shows a unit called "Warrior" that is selected and located on the left edge of the screen. It just exited the factory that is also located near left edge (the one with "ETA: 0:12" above it). The red lines with arrows show very roughly which path this unit takes. Other Warriors built before it have taken the same path.

This red path seems very inefficient compared to the blueish lines I have drawn on the screenshot.
Additional InformationReplay and additional info available at http://zero-k.info/Battles/Detail/418289
Engine version: 101.0.1-411-ga3bb590
Direct link to replay: http://zero-k.info/replays/20160605_193502_Kappa_Basin_101.0.1-411-ga3bb590%20develop.sdfz
Screenshot was made 8m 29s into the game. Observation was already possible on other units from the same factory a few seconds sooner.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
related to 0004911resolvedKloot pathfinding issues on IsIs Delta, probably on some others 
+Relationships

-Notes

~0016417

Skasi (reporter)

I have attached another screenshot that shows a different pathing problem in the same game. In it a Warrior took a more efficient path into the general direction of its move command. However, before arriving the unit got "pathing-stuck" as it kept running into this cliff.

~0016437

Forboding Angel (reporter)

I can confirm. It doesn't happen that often, but it does happen.

Adding this helped, but it didn't solve the issue entirely:
--Fix for bad movement in 102
        --https://springrts.com/phpbb/viewtopic.php?f=12&t=34593
        local md = uDef.moveDef
        if (md.type ~= nil) then -- all non-flying units
            Spring.MoveCtrl.SetGroundMoveTypeData(uID, "turnAccel", uDef.turnRate)
        end

~0016438

hokomoko (developer)

Forb this is an entirely different issue

~0016510

Code_Man (reporter)

In s44, on 1944_titan when infantry are ordered to go near the inside edges on the hills they often tend to move back and forth, its extremely annoying.

~0016927

Kloot (developer)

0005411 was probably a duplicate of this, fixed upstream.
+Notes

-Issue History
Date Modified Username Field Change
2016-06-09 16:13 Skasi New Issue
2016-06-09 16:13 Skasi File Added: screen00726.jpg
2016-06-09 16:14 Skasi File Added: screen00714.jpg
2016-06-09 16:17 Skasi Note Added: 0016417
2016-06-09 16:47 hokomoko Relationship added related to 0004911
2016-06-13 22:38 Forboding Angel Note Added: 0016437
2016-06-13 22:48 hokomoko Note Added: 0016438
2016-07-15 18:56 Code_Man Note Added: 0016510
2016-12-03 19:09 Kloot Assigned To => Kloot
2016-12-03 19:09 Kloot Status new => resolved
2016-12-03 19:09 Kloot Resolution open => fixed
2016-12-03 19:09 Kloot Fixed in Version => 103.0 +git
2016-12-03 19:09 Kloot Note Added: 0016927
+Issue History